Assignee: Peter Volkov % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.5.2

Description

If there is coderay text highlighted block in wiki page, #<issue-num> substitutions are broken. Here is a test case to reproduce the

issue.

h1. Test

This link works #1!

<pre><code class="ruby">

# The Greeter class

class Greeter

  def initialize(name)

    @name = name.capitalize

  end

   def salute

    puts "Hello #{@name}!" 

  end

end

</pre>

 

While this not #1 :(

 This bug is reproducible in 2.2.4 and 2.5.2.

Related issues:

Has duplicate Redmine - Defect #17418: regression: attachement:file is not re... Closed

History

#1 - 2014-07-08 15:07 - Daniel Felix

Well... please try this with valid html.

Your example is broken. You have a pre and then a code tag opened, but you just close the pre.

See here:

Test

This link works #1!

# The Greeter class

class Greeter

  def initialize(name)

    @name = name.capitalize

  end

   def salute

    puts "Hello #{@name}!" 

  end

end
 While this not #1 :(

#2 - 2014-07-08 15:08 - Daniel Felix

- Status changed from New to Needs feedback

- Assignee set to Peter Volkov

- Resolution set to Cant reproduce

Please give some feedback.

#3 - 2014-07-10 12:49 - Peter Volkov

True, with  it works as expected, thank you. Although it'll be valuable if parser somehow reported such problems ;)

#4 - 2014-07-10 13:51 - Daniel Felix

- Has duplicate Defect #17418: regression: attachement:file is not rendered on wiki page added

#5 - 2014-07-10 13:52 - Daniel Felix

- Status changed from Needs feedback to Closed

Well this is a default problem of browsers. They try to autofix as best as they can ;)

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/issues/1
http://www.tcpdf.org

